bdi4jade.examples.blocksworld

## Class BlocksWorldCapability

- java.lang.Object
- - bdi4jade.core.Capability
  - - bdi4jade.examples.blocksworld.BlocksWorldCapability

- All Implemented Interfaces:
    java.io.Serializable

      public class BlocksWorldCapability
      extends Capability

  Author:
    Ingrid Nunes
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `BlocksWorldCapability.PerformMove`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `BELIEF_CLEAR`
    `static java.lang.String` | `BELIEF_ON`

    - ### Fields inherited from class bdi4jade.core.Capability

      `beliefBase, id, planLibrary`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BlocksWorldCapability()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `setup()` This is an empty holder for being overridden by subclasses.

    - ### Methods inherited from class bdi4jade.core.Capability

      `addAnnotatedFields, addAssociatedCapability, addCandidatePlans, addPartCapability, canAchieve, canHandle, equals, getAssociatedCapabilities, getBeliefBase, getBeliefRevisionStrategy, getDeliberationFunction, getFullId, getGoalOwner, getId, getMyAgent, getOptionGenerationFunction, getParentCapabilities, getPartCapabilities, getPlanLibrary, getPlanSelectionStrategy, getWholeCapability, hashCode, removeAssociatedCapability, removePartCapability, setBeliefRevisionStrategy, setDeliberationFunction, setOptionGenerationFunction, setPlanSelectionStrategy, takeDown, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### BELIEF_CLEAR

          public static final java.lang.String BELIEF_CLEAR

      See Also:
        Constant Field Values

    - #### BELIEF_ON

          public static final java.lang.String BELIEF_ON

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### BlocksWorldCapability

          public BlocksWorldCapability()

  - ### Method Detail

    - #### setup

          protected void setup()

      Description copied from class: `Capability`
      This is an empty holder for being overridden by subclasses. It is used to initialize the capability. This method is invoked when this capability is attached to an agent for the first time. It may be used to add initial plans and beliefs. The reasoning strategies of this capability are initialized in the constructor with default strategies. This method may also customize them.
      Overrides:
        `setup` in class `Capability`